
table.table.table-dark th {
  font-weight: 400;
  background-color: var(--table-header);
  color: var(--secondary-color);
  text-transform: capitalize;
  border-bottom: 1px solid transparent;
  font-size: var(--font-size-14);
  padding: var(--common-size);
}
table.table.table-dark tbody tr:last-child {
  border-bottom: 1px solid transparent;
}
table.table.table-dark td {
  background-color: transparent;
  font-size: var(--font-size-14);
  text-transform: capitalize;
  color: var(--table-td);
  border-color: var(--border-color);
  padding: var(--common-size);
}

.virtual-account-card table.table.table-dark th, .virtual-account-card table.table.table-dark td {
  padding-left: var(--common-size);
  padding-right: var(--common-size);
}

td.download-icon{
 text-align: center;
  vertical-align: middle;
}
td .download-icon {
  width: 2.125rem;
  height: 2.125rem;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 auto; /* centers the div horizontally inside the td */
  border: 1px solid var(--border-color);
  border-radius: 0.625rem;
  background-color: transparent;
  color: #ffffff;
  padding: 0;
  cursor: pointer;
  transition: background-color 0.2s ease;
}
/* table responsive class begins here*/
.table-responsive {
  max-height: 660px;
}
.table-responsive table.table.table-dark {
  border-collapse: collapse;
}
.table-responsive table.table.table-dark thead th  {
  position: sticky;
  top: 0;
}
.table-api .table td {
    vertical-align: middle;
}
.table-api .dropdown-menu .dropdown-item:hover {
    background-color: transparent;
    opacity: .8;
}
/* DateRange picker customization starts */
.daterangepicker {
    background-color: var(--datepicker-bg);
    border-color: var(--border-color);
    box-shadow: var(--datepicker-boxshadow);
}

.daterangepicker:after,
.daterangepicker:before {
    content: none;
}

.daterangepicker .ranges ul {
    width: 170px;
}

.daterangepicker .ranges li {
    position: relative;
}

.daterangepicker .ranges li:hover,
.daterangepicker .ranges li.active:hover {
    background-color: var(--btn-border);
}

.daterangepicker .ranges li.active {
    background-color: var(--datepicker-bg);
}

.daterangepicker .ranges li.active::after {
    content: url(../img/check.png);
    position: absolute;
    top: 50%;
    right: 8px;
    transform: translateY(-50%);
    color: var(--success-green);
    font-size: var(--font-size-18);
}

.daterangepicker .calendar-table {
    border: none;
    background-color: var(--nav-bg);
}

.daterangepicker.show-ranges.ltr .drp-calendar.left,
.daterangepicker .drp-calendar.right {
    background-color: #252529;
    border: 1px solid var(--border-color);
}

.daterangepicker .calendar-table th {
    background-color: #252529;
    border-radius: 0;
}

.daterangepicker td.available:hover,
.daterangepicker th.available:hover {
    background-color: var(--datepicker-bg);
    color: var(--border-light);
}

.daterangepicker td.off,
.daterangepicker td.off.in-range,
.daterangepicker td.off.start-date,
.daterangepicker td.off.end-date {
    background-color: var(--nav-bg);
}

.daterangepicker .calendar-table .next span,
.daterangepicker .calendar-table .prev span {
    border: solid var(--primary-color);
    border-width: 0 2px 2px 0;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
    background-color: var(--datepicker-active) !important;
    color: var(--bg-color) !important;
}

.daterangepicker td.in-range {
    background-color: var(--datepicker-bg);
    color: var(--border-light);
}

.daterangepicker .drp-calendar.left .calendar-table {
    padding-right: 0;
}

.daterangepicker .drp-buttons {
    border-top: 1px solid var(--border-color);
}

.daterangepicker .drp-buttons .btn-primary {
    background-color: var(--datepicker-active);
    color: var(--bg-color);
    border: none;
}

.daterangepicker .drp-buttons .cancelBtn {
    border: 1px solid var(--primary-color);
    color: var(--primary-color);
}

.daterangepicker .drp-selected,
.daterangepicker .drp-buttons .btn,
.daterangepicker .calendar-table th,
.daterangepicker .calendar-table td,
.daterangepicker .ranges li {
    font-size: var(--font-size-14);
}

.daterangepicker .calendar-table table {
    border: none;
}

.daterangepicker select.hourselect,
.daterangepicker select.minuteselect,
.daterangepicker select.secondselect,
.daterangepicker select.ampmselect {
    border: none;
    background-color: var(--bg-color);
    border-radius: 3px;
    font-size: var(--font-size-14);
    color: var(--primary-color);
}

/* DateRange picker customization ends */

.download-icon:hover{
    background-color: var(--btn-bg);
}